package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireGasShieldMapper;
import com.ruoyi.project.patrol.fire.domain.TFireGasShield;
import com.ruoyi.project.patrol.fire.service.ITFireGasShieldService;

/**
 * CO2气体保护系统Service业务层处理
 * 
 * @author admin
 * @date 2023-11-01
 */
@Service
public class TFireGasShieldServiceImpl implements ITFireGasShieldService 
{
    @Autowired
    private TFireGasShieldMapper tFireGasShieldMapper;

    /**
     * 查询CO2气体保护系统
     * 
     * @param id CO2气体保护系统主键
     * @return CO2气体保护系统
     */
    @Override
    public TFireGasShield selectTFireGasShieldById(Long id)
    {
        return tFireGasShieldMapper.selectTFireGasShieldById(id);
    }

    /**
     * 查询CO2气体保护系统列表
     * 
     * @param tFireGasShield CO2气体保护系统
     * @return CO2气体保护系统
     */
    @Override
    public List<TFireGasShield> selectTFireGasShieldList(TFireGasShield tFireGasShield)
    {
        return tFireGasShieldMapper.selectTFireGasShieldList(tFireGasShield);
    }

    /**
     * 新增CO2气体保护系统
     * 
     * @param tFireGasShield CO2气体保护系统
     * @return 结果
     */
    @Override
    public int insertTFireGasShield(TFireGasShield tFireGasShield)
    {
        return tFireGasShieldMapper.insertTFireGasShield(tFireGasShield);
    }

    /**
     * 修改CO2气体保护系统
     * 
     * @param tFireGasShield CO2气体保护系统
     * @return 结果
     */
    @Override
    public int updateTFireGasShield(TFireGasShield tFireGasShield)
    {
        return tFireGasShieldMapper.updateTFireGasShield(tFireGasShield);
    }

    /**
     * 批量删除CO2气体保护系统
     * 
     * @param ids 需要删除的CO2气体保护系统主键
     * @return 结果
     */
    @Override
    public int deleteTFireGasShieldByIds(Long[] ids)
    {
        return tFireGasShieldMapper.deleteTFireGasShieldByIds(ids);
    }

    /**
     * 删除CO2气体保护系统信息
     * 
     * @param id CO2气体保护系统主键
     * @return 结果
     */
    @Override
    public int deleteTFireGasShieldById(Long id)
    {
        return tFireGasShieldMapper.deleteTFireGasShieldById(id);
    }
}
